## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::ElementRecursionStackPusher Class Reference

Class for keeping track of elements pushed on the element recursion stack. More...

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::ElementRecursionStackPusher:

List of all members.

## Public Methods

- ElementRecursionStackPusher ( StylesheetExecutionContext& executionContext, const ElemTemplateElement* element)
    Construct an instance of the recursion stack pusher. More...
- ~ElementRecursionStackPusher ()

## Detailed Description

Class for keeping track of elements pushed on the element recursion stack.

## Constructor & Destructor Documentation

StylesheetExecutionContext::ElementRecursionStackPusher::ElementRecursionStackPusher ( | StylesheetExecutionContext & executionContext,
| const ElemTemplateElement * element )

Construct an instance of the recursion stack pusher.

Parameters:

  executionContext | current execution context
  element | pointer to element to push

StylesheetExecutionContext::ElementRecursionStackPusher::~ElementRecursionStackPusher ( | )`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.